Get booking details for a fareprice
curl --request GET \
--url https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}import requests
url = "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{}Availability and Pricing - Booking system based Live Availability
Get booking details for a fareprice
Return booking details for a fareprice, including the list of custom booking fields (optionalFields) that must be collected from the customer before ordering.
Each optionalFields entry contains:
optionalFieldId— integer or string ID to echo back on the ordertitle/commonName— display label for the customer-facing formtype—text,select, and similarmandatory— whether the customer must answeroptions— allowed values (forselecttypes)
Submit the customer’s answers on POST /apiv1/order under redeemer.products.bookings.optionalFields as { optionalFieldId, fieldText }. The value key must be fieldText — other names (e.g. fieldValue, optionalFieldValue) are silently dropped by TDMS.
GET
/
apiv1
/
bookingdetails
/
{productPricesDetailsId}
Get booking details for a fareprice
curl --request GET \
--url https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}import requests
url = "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tdms.websitetravel.com/apiv1/bookingdetails/{productPricesDetailsId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{}Path Parameters
Response
Returned when successful.
The response is of type object.